autoip Struct Reference

`#include <autoip.h>`

## Data Fields

ip4_addr_t | llipaddr
u8_t | state
u8_t | tried_llipaddr
struct acd | acd

## Detailed Description

AutoIP state information per netif

## Field Documentation

## acd

struct acd autoip::acd

acd struct

## llipaddr

ip4_addr_t autoip::llipaddr

the currently selected, probed, announced or used LL IP-Address

## state

u8_t autoip::state

current AutoIP state machine state

## tried_llipaddr

u8_t autoip::tried_llipaddr

total number of probed/used Link Local IP-Addresses

The documentation for this struct was generated from the following file:

- src/include/lwip/autoip.h